function CRDIBruteForce(lastdayused, country, color, k, kbacklog, backlog)
% Brute force model running from lastdayused on
% using the JH estimates for R, beta and gamma
[tC, C, tI, I, tR, R, tD, D, tER, ER]=getCIRD(country, lastdayused, k, kbacklog);
pars=getCoronaParameters(country);
%
len=length(C);
[tt, gam, b, ttr, r]=getJHGammaBR0(C, R, D);
% we estimate constants
gammaval=backestimate(gam(1:lastdayused),backlog)
betaval =backestimate(b(1:lastdayused),backlog)
R0val=betaval/gammaval;
% get starting values
r0=R(lastdayused)+D(lastdayused)
i0=I(lastdayused)
s0=pars(2)-r0-i0
SIR0=[s0;i0;r0];
% now run the model
SIR=discreteSIR(SIR0, betaval, gammaval, pars(2));
% and plor
figure
te=lastdayused+1:lastdayused+length(SIR(1,:));
if color=='black'
plot(te,SIR(1,:)/pars(2),'k-.',te,SIR(2,:)/pars(2),'k',...
    te,SIR(3,:)/pars(2),'k:')
else
    plot(te,SIR(1,:)/pars(2),'b',te,SIR(2,:)/pars(2),'k',...
    te,SIR(3,:)/pars(2),'r')
end
h=gca;
set(h,'FontSize',20)

% title(sprintf('Brute force SIR model for %s, R_0 = %4.2f',country, R0val))
% xlabel('Days from Jan. 22nd, 2020')
% legend('S/N','I/N','R/N')
% 
% 
%     if color=='black'
%         plot(T,Y(:,2)/N,'k-',T,Y(:,1)/N,'k-.',T,Y(:,3)/N,'k:')
%     else
%         plot(T,Y(:,2)/N,'k',T,Y(:,1)/N,'b',T,Y(:,3)/N,'r')
%     end
% 

function SIRarray=discreteSIR(SIR0, beta, gamma, N)
% This runs the primitive SIR model 
SIR=[SIR0];
SIRarray=[SIR0];
SIR(:,1)=SIR0;
while 1==1
    SIR(1)=SIR0(1)-beta*SIR0(2)*SIR0(1)/N;
    SIR(2)=SIR0(2)+beta*SIR0(2)*SIR0(1)/N-gamma*SIR0(2);
    SIR(3)=SIR0(3)+gamma*SIR0(2);
    SIR0=SIR;
    if SIR(2)<=N/1500
        break;
    end
    SIRarray=[SIRarray SIR];
end



