function cFR=JHCFTable(lastdayused, kdays, kbacklog, gIF)
% Calculate case fatality table for JH data at lastdayused
% as functions of k of the k-day rule and the backlog used
%
% countrylist={ 'Germany' 'Brazil' 'Russia' 'Italy' 'Spain' ...
%         'Sweden' 'Austria' 'France' 'UK', 'US',...
%         'Denmark','Switzerland'};
countrylist=GetCoronaCountryList;
%
for i=1:length(countrylist)  % loop over countries
    country=char(countrylist(i))
    %
%     if i~=1
%         break
%     end
%   the final two parameters are not used because we do not use ER
    [tC, C, tI, I, tR, R, tD, D, tER, ER]=getCIRD(country, lastdayused, 14, 28);
    % but now we smoothe because we want to estimate
    C=mylogsmoother(C);
    C=mylogsmoother(C);
    D=mylogsmoother(D);
    D=mylogsmoother(D);
    R=mylogsmoother(R);
    R=mylogsmoother(R);
    len=length(C)
    pR=estimateRecovered(C, D, kdays, len-kbacklog+1, len);
    cFR(i)=1-pR(1);
    % disp(sprintf('%s %f ',country, cFR(i)))
end

for i=1:length(countrylist)  % loop over countries
    country=char(countrylist(i));
    disp(sprintf('%s &  %6.3f  & %6.3f \\\\',country, cFR(i), gIF/cFR(i)))
end

