function dothemall()
% do all figures for DMV paper
% See also the file readme.txt
close all
clear all
k=14              % the k for the k-day rule
kbacklog=2*k      % the backlog for the k-day rule 
gambacklog=28     % the backlog for the Johns Hopkins R_0 estimation
backlog=7         % the backlog for estimating constants from time series   
gIF=0.005         % the infection fatality rate 
lastdayused =122  % for setting the final day for using data at all
modelbackstart=0  % number of days going back from lastdayused
		          % to start a prediction 
timespan=120      % how long the prediction runs normally
numruns=3 	      % how many runs for multiple predictions
backdays=14 	  % how many days back for each run
H0factor=32	      % multiply H0 by H0factor to 1/H0factor
		          % by multiples of 2, for varying H0

% %
% % SIR01('black')  % fixed SIR figures
SIR01('color')  % fixed SIR figures
disp('Hit Enter after exporting the figures you need')
pause
close all
% %
% %
% % % the plot for the maximal I at the peak 
Imax
disp('Hit Enter after exporting the figures you need')
pause
close all
% %
% % The Johns Hopkins CRDI plots for single countries, no R estimates 
CRDISingle(k, kbacklog, 120,'color')
disp('Hit Enter after exporting the figures you need')
pause
close all
% %
% % the Johns Hopkins R_0 estimates for several countries   
getJHR0estimate(120, 'color', gambacklog, k, kbacklog)
% getJHR0estimate(120, 'black', gambacklog, k, kbacklog)
disp('Hit Enter after exporting the figures you need')
pause
close all
% %
% % % the brute force SIR model
% CRDIBruteForce(109, 'US', 'black', k, kbacklog, backlog)
% CRDIBruteForce(75, 'Germany', 'black', k, kbacklog, backlog)
CRDIBruteForce(109, 'US', 'color', k, kbacklog, backlog)
CRDIBruteForce(75, 'Germany', 'color', k, kbacklog, backlog)
disp('Hit Enter after exporting the figures you need')
pause
close all
% % % the table for case fatality rates
cFR=JHCFTable(109, k, kbacklog, gIF);
disp('Hit Enter after exporting the figures you need')
pause
close all
% % % Full model predictions for single countries, single prediction
lastdayused=122
FullModel(k, kbacklog, gIF, backlog, lastdayused, modelbackstart, timespan,'color',10)
disp('Hit Enter after exporting the figures you need')
pause
close all
% % % full model predictions, multiple runs each backdays apart
FullModelMultiple(k, kbacklog, gIF, backlog, lastdayused, ...
    modelbackstart, timespan, numruns, backdays,'color', 100)
disp('Hit Enter after exporting the figures you need')
pause
close all
% % % Predictions with variable H0 start
lastdayused=67
modelbackstart=0
% Full Model predictions, variable H0 starting points 
FullModelH0Var(k, kbacklog, gIF, backlog, lastdayused, modelbackstart, timespan, H0factor, 'color', 10)
disp('Hit Enter after exporting the figures you need')
pause
close all
% % %
% % % for the Khailaie  predictions on April 3rd day 72
lastdayused=72
modelbackstart=0
timespan=200
FullModel(k, kbacklog, gIF, backlog, lastdayused, modelbackstart, timespan,'color',10)
disp('Hit Enter after exporting the figures you need')
pause
close all
% % % for the early Ferguson  prediction 
lastdayused=120
modelbackstart=120-54
lastdayused=54
modelbackstart=0
k=7
kbacklog=14
timespan=150
% % Full Model predictions
FullModel(k, kbacklog, gIF, backlog, lastdayused, modelbackstart, timespan, 'color',10)
disp('Hit Enter after exporting the figures you need')
pause
close all
% % %
% % %for the Streeck predictions on day 101
lastdayused=101
modelbackstart=0
k=14
kbacklog=28
startC=10
timespan=200
% Full Model predictions
FullModel(k, kbacklog, 0.0036, backlog, lastdayused, modelbackstart, timespan, 'color', startC)
disp('Hit Enter after exporting the figures you need')
pause
close all
% 
% % % the estimation of case fatality rates as
% % % functions of k and backlog, takes long
JHCFRates(109)
disp('Hit Enter after exporting the figures you need')
pause
close all
% % 
% % the rho_infty solution plot, TAKES LONG
rhoinfty
disp('Hit Enter after exporting the figures you need')
pause
close all
