function [C, R, D]=getCoronaData(country)
% for reading all Johns Hopkins data after script getCorona and parseJHU.py
% The data are in subdirectory countries, see the *string statements below
% disp(country)
% Translation table from CountryList names to Johns Hopkins filenames
switch lower(country)
    case 'hubei'
        country='HubeiChina'
    case 'korea'
        country='Korea, South'
    case 'uk'
        country='United Kingdom'
    case 'hongkong'
        country='Hong KongChina'
end        
% disp(country)
%
Dstring = ['countries/', country, 'Deaths.dat'];
Rstring = ['countries/', country, 'Recovered.dat'];
Cstring = ['countries/', country, 'Confirmed.dat'];
D=load(Dstring)';
R=load(Rstring)';
C=load(Cstring)';
% D=checkMonotonicity(D,'D', country);
% C=checkMonotonicity(C,'C', country);
% R=checkMonotonicity(R,'R', country);
% 

function y=checkMonotonicity(x, text, country)
y=x;
for i=2:length(x)
    if x(i)>=x(i-1)
        continue
    else
        disp(sprintf('No monotonicity in %s of %s at positions %d and %d',...
            text,country, i-1,i))
        [i-1 i x(i-1) x(i)]
        x(i)=x(i-1);
        y(i)=x(i);
        % pause
    end
end
